Package org.eclipse.graphiti.mm.algorithms.styles

# Interface StylesFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `StylesFactoryImpl`

public interface StylesFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `StylesPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final StylesFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`AdaptedGradientColoredAreas`
`createAdaptedGradientColoredAreas()`
Returns a new object of class 'Adapted Gradient Colored Areas'.
`Color`
`createColor()`
Returns a new object of class 'Color'.
`Font`
`createFont()`
Returns a new object of class 'Font'.
`GradientColoredArea`
`createGradientColoredArea()`
Returns a new object of class 'Gradient Colored Area'.
`GradientColoredAreas`
`createGradientColoredAreas()`
Returns a new object of class 'Gradient Colored Areas'.
`GradientColoredLocation`
`createGradientColoredLocation()`
Returns a new object of class 'Gradient Colored Location'.
`Point`
`createPoint()`
Returns a new object of class 'Point'.
`PrecisionPoint`
`createPrecisionPoint()`
Returns a new object of class 'Precision Point'.
`RenderingStyle`
`createRenderingStyle()`
Returns a new object of class 'Rendering Style'.
`Style`
`createStyle()`
Returns a new object of class 'Style'.
`TextStyle`
`createTextStyle()`
Returns a new object of class 'Text Style'.
`TextStyleRegion`
`createTextStyleRegion()`
Returns a new object of class 'Text Style Region'.
`StylesPackage`
`getStylesPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final StylesFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createRenderingStyle

RenderingStyle createRenderingStyle()
Returns a new object of class 'Rendering Style'.

Returns:
  a new object of class 'Rendering Style'.

### createStyle

Style createStyle()
Returns a new object of class 'Style'.

Returns:
  a new object of class 'Style'.

### createGradientColoredLocation

GradientColoredLocation createGradientColoredLocation()
Returns a new object of class 'Gradient Colored Location'.

Returns:
  a new object of class 'Gradient Colored Location'.

### createGradientColoredArea

GradientColoredArea createGradientColoredArea()
Returns a new object of class 'Gradient Colored Area'.

Returns:
  a new object of class 'Gradient Colored Area'.

### createGradientColoredAreas

GradientColoredAreas createGradientColoredAreas()
Returns a new object of class 'Gradient Colored Areas'.

Returns:
  a new object of class 'Gradient Colored Areas'.

### createAdaptedGradientColoredAreas

AdaptedGradientColoredAreas createAdaptedGradientColoredAreas()
Returns a new object of class 'Adapted Gradient Colored Areas'.

Returns:
  a new object of class 'Adapted Gradient Colored Areas'.

### createFont

Font createFont()
Returns a new object of class 'Font'.

Returns:
  a new object of class 'Font'.

### createPoint

Point createPoint()
Returns a new object of class 'Point'.

Returns:
  a new object of class 'Point'.

### createColor

Color createColor()
Returns a new object of class 'Color'.

Returns:
  a new object of class 'Color'.

### createPrecisionPoint

PrecisionPoint createPrecisionPoint()
Returns a new object of class 'Precision Point'.

Returns:
  a new object of class 'Precision Point'.
Since:
  0.9

### createTextStyle

TextStyle createTextStyle()
Returns a new object of class 'Text Style'.

Returns:
  a new object of class 'Text Style'.
Since:
  0.10

### createTextStyleRegion

TextStyleRegion createTextStyleRegion()
Returns a new object of class 'Text Style Region'.

Returns:
  a new object of class 'Text Style Region'.
Since:
  0.10

### getStylesPackage

StylesPackage getStylesPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.